{% load timeutil %}
{% load scientific %}
{% load pastro_text %}

    <table id="pipeline-preferred" class="table-hover table-condensed
        table-resp-gracedb shadow p-3 mb-5 rounded ">
      <!-- Table Header -->
      <thead>
      <tr>
        <th colspan="9"><h3>Per-Pipeline Event Information</h3></th>
      </tr>

      <tr>
        <th> UID </th>
        <th> Group </th>
        <th> Pipeline </th>
        <th> Search </th>
        <th> gpstime </th>
        <th> FAR (Hz) </th>
        <th> SNR </th>
        <th><span style="font-family: monospace">p_astro</span></th>
        <th><span style="font-family: monospace">em_bright</span></th>
      </tr>
      </thead>

      <tbody style="">
      {% for e in pipeline_preferred_events %}
        <tr>
         <td><a href="{% url "view" e.graceid %}">{{ e.graceid }}</a></td>
         <td> {{ e.group.name }} </td>
         <td> {{ e.pipeline.name }} </td>
         <td> {{ e.search.name }} </td>
         <td> {{ e.gpstime | floatformat:"3" }} </td>
         <td>
             {% if e.far|scientific %}
             {{ e.far|scientific }} 
             {% else %}
             &nbsp; &nbsp; &nbsp; &nbsp;
             {% endif %}
         </td>
         <td data-title="SNR">
             {% if e.coincinspiralevent %}
             {{ e.coincinspiralevent.snr|floatformat:"3" }}
             {% elif e.multiburstevent %}
             {{ e.multiburstevent.snr|floatformat:"3" }}
             {% elif e.lalinferenceburstevent %}
             {{ e.lalinferenceburstevent.omicron_snr_network|floatformat:"3" }}
             {% else %}
             &nbsp; &nbsp; &nbsp; &nbsp;
             {% endif %}
         </td>
         <td> {{ e.graceid | json_text:"p_astro,newline,showprob" }} </td>
         <td> {{ e.graceid | json_text:"em_bright,newline,showprob" }} </td>


        </tr>
      {% endfor %}
      </tbody>
    </table>

